### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-tag/ecl-tag.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-tag, [eclTag]`
templateUrl | `./ecl-tag.component.html`

### Index

###### Properties

- isVisible

###### Methods

- onRemoveClick
- getCssClasses

###### Inputs

- variant
- class
- e2eAttr

###### Outputs

- remove

###### HostBindings

- attr.hidden
- class

###### Accessors

- isHidden
- cssClasses
- isRemovable

### Inputs

variant
Type : `"display" | "removable"`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

remove
Type : `EventEmitter`

### HostBindings

attr.hidden
Type : `true`

class
Type : `any`

### Methods

onRemoveClick
`onRemoveClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

isVisible
Type : `boolean`
Default value : `true`

### Accessors

isHidden
get `isHidden()`

cssClasses
get `cssClasses()`

isRemovable
get `isRemovable()`

# results matching ""

# No results matching ""